package cn.tedu.straw.api.user.controller;

import cn.tedu.straw.api.user.dto.RegisterStudentDTO;
import cn.tedu.straw.api.user.ex.*;
import cn.tedu.straw.api.user.service.IUserService;
import cn.tedu.straw.api.user.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.validation.Valid;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author tedu.cn
 * @since 2021-01-20
 */
@RestController
@RequestMapping("/v1/users")
public class UserController {

    @Autowired
    IUserService userService;
    // http://localhost:8080/v1/users/reg?username=admin&password=1234&phone=13000130000&inviteCode=JSD2005-666666
    @RequestMapping("/reg")
    public R reg(@Valid RegisterStudentDTO registerStudentDTO , BindingResult bindingResult) {
        if (bindingResult.hasErrors()) {
            String errorMessage = bindingResult.getFieldError().getDefaultMessage();
//            System.err.println("验证请求参数时出现错误:");
//            System.err.println(">>>"+errorMessage);
            throw new IllegalParameterException(errorMessage);
        }
        userService.registerStudent(registerStudentDTO);
        return R.ok();

    }

}
