package cn.tedu.straw.api.user.util;

import lombok.Data;

import java.io.Serializable;
@Data
public class R  implements Serializable {

    /**
     * 响应时的状态码
     */
    private Integer state;
    /**
     * 操作失败时的提示信息
     */
    private String message;

    public R(){
        super();
    }
    public R(Integer state){

        this.state=state;
    }
    public static R ok(){
        return new R(1);
    }
    public static R failure(Integer state,Throwable e){
        R r=new R();
        r.setState(state);
        r.setMessage(e.getMessage());
        return r;
    }
    public interface State{
        /**
         * 正确
         */
        Integer OK=2000;
        /**
         * 错误:用户名已经被注册
         */
        Integer ERR_USERNAME_DUPLICATE=4000;
        /**
         * 手机号码已经被注册
         */
        Integer ERR_PHONE_DUPLICATE=4001;
        /**
         * 错误:邀请码错误
         */
        Integer ERR_INVITE_CODE=4002;
        /**
         * 错误:班级已经被禁用
         */
        Integer ERR_CLASS_DISABLED=4003;
        /**
         * 错误:插入数据失败
         */
        Integer ERR_INSERT=4004;
        /**
         * 非法的请求参数
         */
        Integer ERR_ILLEGAL_PARAMETER=4005;
        /**
         * 未知错误
         */
        Integer ERR_UNKNOWN=9000;
    }
}
